@import "description.scss";

.offer {
  display: flex;
  background-color: #fff;
  width: 552px;
  height: 413px;
  border-radius: 10px;
  overflow: hidden;
  

  &__image {
    min-width: 260px;
    height: 100%;
    overflow: hidden;

    &__desktop {
      display: block;
      @include tablet {
        display: none;
      }
    }

    &__tablet {
      display: none;
      @include tablet {
        display: block;
      }
    }

    @include desktop-small {
      min-width: 226.87px;
    }

    @include tablet {
      width: 100%;
      min-height: 158px;
    }
  }

  &__content {
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    &__top {
      @include tablet {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
      }
    }

    &__top_tablet {
      @include tablet {
        min-height: 128px;
      }
    }

    &__bottom {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      height: 90px;

      @include desktop-small {
        height: 80px;
      }
    }

    @include desktop-small {
      padding: 20px;
    }

    @include tablet {
      position: relative;
      top: -158px;
      padding: 30px;
      max-width: 100%;
      min-height: 365px;
    }

    @include mobile {
      min-height: 379px;
    }

    @include mobile-small {
      min-height: 398px;
    }
  }

  &__label {
    @include a_mobile;
    display: inline-block;
    color: $color-red-light;
    background-color: #fff;
    border: 1px solid $color-red-light;
    border-radius: 16px;
    padding: 5px 15px;
    margin-bottom: 30px;

    @include tablet {
      margin-bottom: 20px;
    }
  }

  &__title {
    @include d_extra_text;
    line-height: 27px;
    font-weight: 600;
    margin-bottom: 20px;

    @include tablet {
      @include medium_description;
      max-width: 210px;
      margin-bottom: 0;
    }
  }

  &__description {
    @include a_mobile;

    @include tablet{
      margin-top: 30px;
    }
  }

  &__additional {
    @include mobile_info;
    color: $color-additional;
  }

  &__href {
    @include h5;
    cursor: pointer;
    color: $color-red;
    &:hover {
      color: $color-red-hover;
    }
    &:active {
      color: $color-red-active;
    }
  }

  @include desktop-small {
    width: 480px;
    height: 359px;
  }

  @include tablet {
    width: 326px;
    height: 365px;
    flex-direction: column;
  }

  @include mobile {
    width: 315px;
    height: 379px;

  }

  @include mobile-small {
    width: 280px;
    height: 398px;
  }
}

.img{
  width: 100%;
  height: 100%;
}